> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pawa-ai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Files of KB

> This endpoint used to list of files used by knowledge base id.



## OpenAPI

````yaml GET /store/files/knowledge-base/{id}
openapi: 3.1.0
info:
  title: Pawa AI APIs
  description: >-
    API endpoints in Pawa Platform to perform CRUD operations on different
    features using Pawa AI, a digital assistant built for Africa for various
    tasks.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.pawa-ai.com/v1
    description: Production Server
security:
  - bearerAuth: []
paths:
  /store/files/knowledge-base/{id}:
    get:
      tags:
        - Get the list of files based on the knowledge-base ID
      summary: Get the list of files based on the knowledge-base ID
      description: This endpoint used to list of files used by knowledge base id.
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
      responses:
        '200':
          description: Files of knowledge base fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KBFilesViewResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                badRequest:
                  value:
                    success: false
                    message: Invalid input provided
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                unauthorized:
                  value:
                    success: false
                    message: Unauthorized access
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                forbidden:
                  value:
                    success: false
                    message: You do not have permission to access this resource
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                notFound:
                  value:
                    success: false
                    message: Resource does not exist
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                tooManyRequests:
                  value:
                    success: false
                    message: Rate limit exceeded. Please try again later.
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                serverError:
                  value:
                    success: false
                    message: Internal server error
components:
  schemas:
    KBFilesViewResponseDto:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
          example: Files of knowledge base fetched successfully
        data:
          type: array
          items:
            $ref: '#/components/schemas/KBFilesData'
      required:
        - success
        - message
        - data
    ErrorResponse:
      required:
        - success
        - message
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: An error occurred
    KBFilesData:
      type: object
      properties:
        id:
          type: number
          example: 1
        fileName:
          type: string
          example: pawa.pdf
        fileType:
          type: string
          example: application/pdf
        fileSize:
          type: string
          example: '4343343'
        status:
          type: string
          example: ACTIVE
        createdAt:
          format: date-time
          type: string
          example: '2025-08-04T16:35:37.522Z'
        updatedAt:
          format: date-time
          type: string
          example: '2025-08-04T16:35:37.522Z'
      required:
        - id
        - fileName
        - fileType
        - fileSize
        - status
        - createdAt
        - updatedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````